import PropTypes from "prop-types";
import React from "react";
import { TableToolkitProps, ToolkitContextType } from ".";
export declare const ToolkitContext: React.Context<ToolkitContextType>;
declare const ToolkitProvider_base: {
    new (): {
        [x: string]: any;
        registerExposedAPI: (tableExposedAPIEmitter: any) => void;
        handleExportCSV: (source: any) => void;
    };
};
declare class ToolkitProvider extends ToolkitProvider_base {
    static propTypes: {
        keyField: PropTypes.Validator<string>;
        data: PropTypes.Validator<any[]>;
        columns: PropTypes.Validator<any[]>;
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        bootstrap4: PropTypes.Requireable<boolean>;
        search: PropTypes.Requireable<NonNullable<boolean | PropTypes.InferProps<{
            defaultSearch: PropTypes.Requireable<string>;
            searchFormatted: PropTypes.Requireable<boolean>;
        }> | null | undefined>>;
        exportCSV: PropTypes.Requireable<NonNullable<boolean | PropTypes.InferProps<{
            fileName: PropTypes.Requireable<string>;
            separator: PropTypes.Requireable<string>;
            ignoreHeader: PropTypes.Requireable<boolean>;
            ignoreFooter: PropTypes.Requireable<boolean>;
            noAutoBOM: PropTypes.Requireable<boolean>;
            blobType: PropTypes.Requireable<string>;
            exportAll: PropTypes.Requireable<boolean>;
            onlyExportFiltered: PropTypes.Requireable<boolean>;
            onlyExportSelection: PropTypes.Requireable<boolean>;
        }> | null | undefined>>;
    };
    static defaultProps: {
        search: boolean;
        exportCSV: boolean;
        bootstrap4: boolean;
    };
    constructor(props: TableToolkitProps);
    componentDidUpdate(nextProps: TableToolkitProps): void;
    onSearch(searchText: any): void;
    onClear(): void;
    onColumnToggle(dataField: any): void;
    /**
     *
     * @param {*} _
     * this function will be called only one time when table render
     * react-bootstrap-table-nextgen/src/context/index.js will call this cb for passing the _ module
     * Please consider to extract a common module to handle _ module.
     * this is just a quick fix
     */
    setDependencyModules(_: any): void;
    render(): React.JSX.Element;
}
declare const _default: {
    Provider: typeof ToolkitProvider;
    Consumer: React.Consumer<ToolkitContextType>;
};
export default _default;
